| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLFrameBufferObject Class Reference

Frame Buffer Object abstraction. More...

`#include <OgreGLFrameBufferObject.h>`

## Public Member Functions
| GLFrameBufferObject (GLFBOManager *manager, uint fsaa)
| ~GLFrameBufferObject ()
void | attachDepthBuffer (DepthBuffer *depthBuffer)
| This function acts very similar to. More...
void | bind ()
| Bind FrameBufferObject. More...
void | bindSurface (size_t attachment, const GLSurfaceDesc &target)
| Bind a surface to a certain attachment point. More...
void | detachDepthBuffer ()
PixelFormat | getFormat ()
GLsizei | getFSAA ()
GLuint | getGLFBOID () const
| Get the GL id for the FBO. More...
GLuint | getGLMultisampleFBOID () const
| Get the GL id for the multisample FBO. More...
uint32 | getHeight ()
GLFBOManager * | getManager ()
const GLSurfaceDesc & | getSurface (size_t attachment)
uint32 | getWidth ()
| Accessors. More...
void | swapBuffers ()
| Swap buffers - only useful when using multisample buffers. More...
void | unbindSurface (size_t attachment)
| Unbind attachment. More...

## Detailed Description

Frame Buffer Object abstraction.

## Constructor & Destructor Documentation

## ◆ GLFrameBufferObject()

Ogre::GLFrameBufferObject::GLFrameBufferObject | ( | GLFBOManager * | manager,
|  | uint | fsaa
| ) |  |

## ◆ ~GLFrameBufferObject()

Ogre::GLFrameBufferObject::~GLFrameBufferObject | ( |  | ) |

## Member Function Documentation

## ◆ bindSurface()

void Ogre::GLFrameBufferObject::bindSurface | ( | size_t | attachment,
|  | const GLSurfaceDesc & | target
| ) |  |

Bind a surface to a certain attachment point.

attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1

## ◆ unbindSurface()

void Ogre::GLFrameBufferObject::unbindSurface | ( | size_t | attachment | ) |

Unbind attachment.

## ◆ bind()

void Ogre::GLFrameBufferObject::bind | ( |  | ) |

Bind FrameBufferObject.

## ◆ swapBuffers()

void Ogre::GLFrameBufferObject::swapBuffers | ( |  | ) |

Swap buffers - only useful when using multisample buffers.

## ◆ attachDepthBuffer()

void Ogre::GLFrameBufferObject::attachDepthBuffer | ( | DepthBuffer * | depthBuffer | ) |

This function acts very similar to.

See also
  GLFBORenderTexture::attachDepthBuffer The difference between D3D & OGL is that D3D setups the DepthBuffer before rendering, while OGL setups the DepthBuffer per FBO. So the DepthBuffer (RenderBuffer) needs to be attached for OGL.

## ◆ detachDepthBuffer()

void Ogre::GLFrameBufferObject::detachDepthBuffer | ( |  | ) |

## ◆ getGLFBOID()

GLuint Ogre::GLFrameBufferObject::getGLFBOID | ( |  | ) | const
| inline

Get the GL id for the FBO.

## ◆ getGLMultisampleFBOID()

GLuint Ogre::GLFrameBufferObject::getGLMultisampleFBOID | ( |  | ) | const
| inline

Get the GL id for the multisample FBO.

## ◆ getWidth()

uint32 Ogre::GLFrameBufferObject::getWidth | ( |  | ) |

Accessors.

## ◆ getHeight()

uint32 Ogre::GLFrameBufferObject::getHeight | ( |  | ) |

## ◆ getFormat()

PixelFormat Ogre::GLFrameBufferObject::getFormat | ( |  | ) |

## ◆ getFSAA()

GLsizei Ogre::GLFrameBufferObject::getFSAA | ( |  | ) |

## ◆ getManager()

GLFBOManager* Ogre::GLFrameBufferObject::getManager | ( |  | ) |
| inline

## ◆ getSurface()

const GLSurfaceDesc& Ogre::GLFrameBufferObject::getSurface | ( | size_t | attachment | ) |
| inline

The documentation for this class was generated from the following file:

- OgreGLFrameBufferObject.h